/***************************************************
This is an ECMA script object file that contains 
the resources for the creditcardtype.vxml subdialog.

(C) COPYRIGHT International Business Machines Corp. 2001,2003

This program may be used, executed, copied, modified and
distributed without royalty for the purpose of developing,
using, marketing, or distributing.
****************************************************/


function CreditCardType() {

 /*
  *The following are default values for subdialog specific parameters
  *
  */
  this.paramPromptQuestion = 'Credit card type?';

 /*
  *The following are default event prompts
  *
  */
  this.noMatch1 = 'Please state the type of credit card.  If you do not have the required information, say skip.';
  this.noMatch2 = 'You must state the type of credit card, like Visa, Master Card, American Express, Discover, Diners Club or J.C.B. International.  If you do not have the required information, say skip.';
  this.noInput1 = 'Please state the type of credit card.  If you do not have the required information, say skip.';
  this.noInput2 = 'Can not hear you.  The connection might be bad.  Please hang up and call again.';
  this.help1 = 'Please state the type of credit card.  If you do not have the required information, say skip.';
  this.help2 = 'You must state the type of credit card, like Visa, Master Card, American Express, Discover, Diners Club or J.C.B. International.  If you do not have the required information, say skip.';
  this.error = 'An error has occurred in this application.  Please call back later.';


 /*
  *Default prompt text for the function getReturnText()
  *
  */
  this.masterText = 'Master Card';
  this.visaText = 'Visa';
  this.discoverText = 'Discover';
  this.novusText = 'Novus';
  this.americanText = 'American Express';
  this.dinersText = 'Diners Club International';
  this.jcbText = 'JCB International';

  //add method the the javascript object
  this.getReturnText = getReturnText;
}

function getReturnText(str) {
  var newStr;

  switch(str) {
  case "master": 
    newStr = this.masterText; break; 
  case "visa": 
    newStr = this.visaText; break; 
  case "discover": 
    newStr = this.discoverText; break; 
  case "novus": 
    newStr = this.novusText; break; 
  case "american": 
    newStr = this.americanText; break; 
  case "diners": 
    newStr = this.dinersText; break; 
  case "jcb": 
    newStr = this.jcbText; break; 
  default: 
    newStr = str;
  }
  return newStr;
}

