/***************************************************
This is an ECMAScript object file that contains 
the resources for the usstate.vxml subdialog.

(C) COPYRIGHT International Business Machines Corp. 2001,2003

This program may be used, executed, copied, modified and
distributed without royalty for the purpose of developing,
using, marketing, or distributing.
****************************************************/

function USState() {

 /*
  *The following are default values for subdialog specific parameters
  *
  */
  this.paramPromptQuestion = 'U.S. State?';

  
 /*
  *The following are default event prompts
  *
  */
  this.noMatch1 = 'Please say a U.S. state.  If you do not have the required information, say skip.';
  this.noMatch2 = 'You must say a U.S. state, such as California or New York.  If you do not have '
                + 'the required information, say skip.';
  this.noInput1 = 'Please say a U.S. state.  If you do not have the required information, say skip.';
  this.noInput2 = 'Can not hear you.  The connection might be bad.  Please hang up and call again.';
  this.help1 = 'Please say a U.S. state.  If you do not have the required information, say skip.';
  this.help2 = 'You must say a U.S. state, such as California or New York.  If you do not have the '
             + 'required information, say skip.';
  this.error = 'An error has occurred in this application.  Please call back later.';

  this.DC = 'DC';
  this.DCText = 'Washington D.C.';
}

